=== third_party/python/slugid/requirements.txt ===
tox
twine
