## mozjs60 60.1.0

=== debian/changelog ===
mozjs60 (60.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release branch, required by gjs 1.53.90+
    (Closes: #904991)
    - Adapt mozjs52 packaging for major version 60
    - This is a new, parallel source package because the latest upstream
      versions of cjs and policykit-1 currently still require mozjs52
  * Refresh patch series
    - d/p/disable-mozglue.patch:
      Drop, appears to be unnecessary now
    - d/p/Fix-crashes-in-AtomicOperations-none.patch:
      Drop, unknown architectures compiled on gcc/clang now use
      js/src/jit/none/AtomicOperations-feeling-lucky.h which appears
      equivalent to the previous sparc/powerpc implementations
    - d/p/alpha-ia64-python-build-fixes.patch, d/p/sparc64-support.patch:
      Drop, appears to have been applied upstream
    - d/p/Don-t-include-xlocale.patch:
      Drop, appears to be unnecessary now
    - d/p/sh4-support.patch, d/p/m68k-support.patch:
      Drop, partially obsoleted by use of
      AtomicOperations-feeling-lucky.h; remaining changes need rebasing
      and re-testing (see #905833 for sh4, #905834 for m68k)
  * Build with srcdir != builddir. This matches the behaviour of GNOME's
    various continuous integration systems, and avoids a FTBFS when
    srcdir = builddir.
  * Explicitly disable jemalloc, which is broken in standalone mozjs
    releases and causes a trivial embedder to segfault. Again, this
    matches the "packaging" in GNOME's continuous integration.
    See https://bugzilla.mozilla.org/show_bug.cgi?id=1465038
  * d/p/Always-use-the-equivalent-year-to-determine-the-time-zone.patch:
    Apply patch from upstream (Firefox 62) to fix a test failure
    involving daylight saving variants of timezone names
  * d/test.sh: Update architectures where tests are expected to fail
    (Closes: #905199)
    - Remove ppc64el: tests now pass and #878319 has been closed
    - Add alpha: expected to fail due to #905825
    - Add sparc64: expected to fail due to #905825 and #905829
    - Update bug reference for m68k to #905830
  * Standards-Version: 4.2.0
  * d/source/lintian-overrides: Override warnings about long lines in
    some test files

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Aug 2018 08:00:48 +0100

mozjs52 (52.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
      CVE-2018-5150
  * d/p/remove-nspr-dependency.patch,
    d/p/tests-skip-on-all-64-bit-archs.patch:
    Remove, applied upstream
  * d/p/include-configure-script.patch:
    Remove, no longer necessary
  * d/rules: Drop configure options that no longer do anything
    - --enable-tests
    - --enable-threadsafe
    - --enable-xterm-updates
    - --enable-shared-js
    - --enable-gcgenerational
  * d/p/m68k-support.path:
    Update patch from John Paul Adrian Glaubitz to add missing m68k
    support in build/moz.configure/init.configure (Closes: #903483)
  * d/test.sh: Ignore test suite failure on m68k for now

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Aug 2018 08:22:02 +0100

mozjs52 (52.3.1-9) unstable; urgency=medium

  * d/p/Disable-js-JIT-on-x32.patch, d/p/hppa-support.patch:
    Remove patches that are no longer listed in d/p/series
  * d/p/*.patch: Use gbp-pq style for metadata
  * d/p/Add-disable-layoutex-when-running-ICU-configure.patch:
    Explicitly disable Paragraph Layout support in bundled ICU. The
    bundled copy of ICU doesn't have the code for this optional feature,
    even if we find the icu-le-hb library during configure. In versions
    of mozjs52 compiled before Debian had icu-le-hb available, we didn't
    try to build that feature, so not having it is not a regression.
    Patch from Mike Hommey, via mozilla-unified. (Closes: #902197)
  * d/p/ia64-support.patch:
    Fix IA64 patch so it doesn't leave ReserveProcessExecutableMemory()
    returning an undefined result on !ia64 machines (Closes: #902961)
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * Regenerate js/src/old-configure with autoconf2.13 during build
    - d/p/pre-generate-old-configure.patch,
      d/p/Patch-pregenerated-old-configure-to-match-build-autoconf-.patch:
      Drop patches, no longer needed
  * Regenerate intl/icu/source/configure with autoreconf during build
  * d/rules: Delete all *.pyc files during clean
  * d/copyright: Move "Files: *" paragraph to the top as suggested by
    lintian

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jul 2018 12:33:30 +0100

mozjs52 (52.3.1-8) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf

  [ John Paul Adrian Glaubitz ]
  * Add patch to fix Python build issues on alpha and ia64:
    - alpha-ia64-python-build-fixes.patch (Closes: #879589, #887496)
  * Add patch to add build support for sh4:
    - sh4-support.patch (Closes: #880692)
  * Disable PIE on sh4
  * Refresh patch for build support for m68k:
    - m68k-support.patch (Closes: #880693)
  * Add patch to add build support for sparc64:
    - sparc64-support.patch (Closes: #887494)
  * Ignore testsuite failures on ia64 (Closes: #897117)
  * Add patch to add build support for ia64:
    - ia64-support.patch (Closes: #897178)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 May 2018 12:01:49 -0400

mozjs52 (52.3.1-7) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add tests-snans-be.patch:
    - Fix sort_snans.js test on big endian (Closes: #878285)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:12:58 -0400

mozjs52 (52.3.1-6) unstable; urgency=medium

  [ Adrian Bunk ]
  * Disable ion JIT on mips (Closes: #878519, #878284)
  * Rename Fix-crashes-in-AtomicOperations-none-on-s390x.patch to
    Fix-crashes-in-AtomicOperations-none.patch and modify it to
    always use AtomicOperations-sparc.h instead of AtomicOperations-none.h
  * Add tests-increase-timeout.patch:

