=== debian/watch ===
version=4
# As of August 2018, there is not an official release of SpiderMonkey 60
# This tarball was downloaded from
# http://ftp.gnome.org/pub/gnome/teams/releng/tarballs-needing-help/mozjs/
# Also try
# https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr60&filter-searchStr=sm-tc
https://archive.mozilla.org/pub/spidermonkey/releases/(60\.[\d.]+)/ \
	mozjs-@ANY_VERSION@@ARCHIVE_EXT@
