## mozjs60 60.2.1

=== debian/changelog ===
mozjs60 (60.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/copyright: Update
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    Add patch to allow tests to be skipped or marked as random (flaky) or
    fails (expected failure) according to dpkg-architecture variables
  * Build with system ICU library (Closes: #908554)
    - Leave the patches and workarounds in place, but gate them behind
      a WITH_SYSTEM_ICU Make variable, to facilitate backporting
      as mentioned on #878362
    - d/p/Skip-some-i18n-tests-because-we-are-now-using-system-ICU.patch:
      Skip tests that fail with the system ICU library
  * Don't ignore overall test results on any architecture. We can ignore
    individual failing tests instead.
  * d/p/tests-Use-DEB_HOST_ARCH_BITS-to-skip-some-tests-on-64-bit.patch:
    Generalize the previous
    d/p/tests-For-tests-that-are-skipped-on-64-bit-mips64-is-also.patch
    to skip the affected tests on every 64-bit architecture, including
    alpha and sparc64 (Closes: #905825)
  * d/p/tests-Expect-some-floating-point-tests-to-fail-on-i386.patch:
    Mark some floating point tests as expected to fail on any-i386 due to
    our use of the legacy i387 FPU, which has different rounding
    behaviour (Closes: #907363)
  * d/p/tests-Expect-a-test-to-fail-on-armel.patch:
    Expect a test involving floating-point NaN to fail on ARM softfloat
    (Closes: #908481)
  * d/p/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch,
    d/p/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch:
    Add patches from upstream via firefox-esr which hopefully fix FTBFS
    on mips64el
  * Disable JIT (ion) on mipsel and mips64el as well as mips.
    It appears that the patches above are only enough to compile, but
    not work, on mips64el (many tests fail). (Closes: #908486)
    - This also avoids a compile-time static assertion failure
      affecting mipsel (Closes: #908485)
  * Add another source-is-missing Lintian override
  * d/copyright: Remove more unused licenses
  * d/copyright: Add public domain license grants
  * d/watch: Update instructions for downloading upstream releases

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Sep 2018 09:02:56 +0100
