=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                autoconf,
                autoconf2.13,
                automake,
-               libicu-dev,
+               libicu-dev (>= 58.2),
                libreadline-dev,
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,
