## mozjs60 60.2.3

=== debian/changelog ===
mozjs60 (60.2.3-3) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU. Thanks to Julien Cristau. (Closes: #909536)
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Apr 2019 19:40:04 +0100

mozjs60 (60.2.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    wait() our dpkg-architecture child so we don't confuse the test runner.
  * Import patch from bmo #1488552 to fix 64-bit BE
  * Clean up better.
  * Fix TypedArray on 64-bit BE.
  * Don't run non262/extensions/clone-errors.js on s390x, it crashes.
  * This should let us pass tests on s390x, thus closes: #909536.

 -- Julien Cristau <jcristau@debian.org>  Thu, 11 Apr 2019 14:19:55 +0200

mozjs60 (60.2.3-2) unstable; urgency=medium

  * Team upload
  * d/p/Update-to-ICU-61-Part-3-Update-tests.patch:
    Add patch from upstream bug 1445465 to make tests pass with system
    ICU versions >= 61 (Closes: #913776)
    - d/control: build-depend on icu 61

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 08:10:24 +0000

mozjs60 (60.2.3-1) unstable; urgency=medium

  * Team upload

  [ John Paul Adrian Glaubitz ]
  * Work around gcc register allocator issues on sh4 by selecting
    alternative register allocator using -mlra (Closes: #909180)

  [ Simon McVittie ]
  * New upstream release
  * d/p/mips-Use-fallback-64-bit-atomic-ops-on-mips32-even-if-JIT.patch:
    Drop, applied upstream
  * d/p/tests-Expect-a-test-to-fail-on-big-endian.patch:
    Expect typedarray-arg-set-values-same-buffer-other-type.js to fail on
    big-endian architectures. It makes assumptions about little-endian
    float/double representation that do not hold on big-endian, and
    fails in the same way on at least mips, powerpc, ppc64 and s390x.
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Oct 2018 12:07:35 +0100

mozjs60 (60.2.1-2) unstable; urgency=medium

  * Team upload
  * d/p/mips-Use-fallback-64-bit-atomic-ops-on-mips32-even-if-JIT.patch:
    Add patch from Julien Cristau to avoid trying to use 8-bit lock-free
    atomic operations on 32-bit mips{,el} (they don't exist there)
    when the ION JIT is disabled (Closes: #908487)
  * d/p/tests-Add-the-ability-to-skip-tests-according-to-dpkg-arc.patch:
    Respect DEB_HOST_ARCH if cross-compiling

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Sep 2018 09:01:54 +0100
