=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                autoconf,
                autoconf2.13,
                automake,
-               libicu-dev (>= 58.2),
+               libicu-dev (>= 61.1),
                libreadline-dev,
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,
@@ -20,7 +20,7 @@
                python-dev,
                zip
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/mozjs60
 Vcs-Git: https://salsa.debian.org/gnome-team/mozjs60.git
 Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
