=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
+export DEB_HOST_ARCH
 # mozjs' build process does not seem to be compatible with other shells
 # like zsh
 export SHELL = /bin/sh
@@ -34,6 +35,10 @@
 ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
         DEB_CFLAGS_MAINT_APPEND += -fno-schedule-insns
         DEB_CXXFLAGS_MAINT_APPEND += -fno-schedule-insns
+endif
+ifneq (,$(findstring $(DEB_BUILD_ARCH),sh4))
+        DEB_CFLAGS_MAINT_APPEND += -mlra
+        DEB_CXXFLAGS_MAINT_APPEND += -mlra
 endif
 export DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND
 
@@ -74,6 +79,7 @@
 	# rm -f $(CURDIR)/js/src/configure
 	rm -fr $(CURDIR)/intl/icu/source/autom4te.cache
 	rm -fr $(CURDIR)/debian/build
+	rm -rf third_party/python/psutil/build/ third_party/python/psutil/psutil/_*.so third_party/python/psutil/tmp/
 
 override_dh_autoreconf:
 	WITH_SYSTEM_ICU=$(WITH_SYSTEM_ICU) dh_autoreconf $(CURDIR)/debian/autogen.sh
