## mozjs60 60.8.0

=== debian/changelog ===
mozjs60 (60.8.0-2ubuntu5) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:33:35 +0100

mozjs60 (60.8.0-2ubuntu4) focal; urgency=medium

  * Fix a test for ICU 65.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2020 14:07:09 +0100

mozjs60 (60.8.0-2ubuntu2) focal; urgency=medium

  * debian/rules: don't use unversioned python binary

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 21:47:03 +0000

mozjs60 (60.8.0-2ubuntu1) focal; urgency=medium

  * debian/control: don't use an unversioned python binary

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Feb 2020 16:17:46 +0100

mozjs60 (60.8.0-2build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:03:12 +0100

mozjs60 (60.8.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 01 Oct 2019 07:07:32 -0400

mozjs60 (60.8.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release (re-imported to respect Files-Excluded from
    debian/copyright).

  [ Philip Chimento ]
  * d/p: Manually refreshed patches due to style reformatting of Mozilla
    codebase having been applied upstream since the last update
  * d/p: Dropped tests-snans-be.patch, already applied upstream
  * d/p: Dropped Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi,
    already applied upstream
  * d/p: Added patches from https://bugzilla.mozilla.org/show_bug.cgi?id=1375074
    and https://bugzilla.mozilla.org/show_bug.cgi?id=1445907 to fix JIT
    crashes on aarch64, based on the suggestion in
    https://bugzilla.mozilla.org/show_bug.cgi?id=1527311 (LP: #1842927)

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 16:05:19 +0100

mozjs60 (60.2.3-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/Bug-1560064-Barrier-Set-MovableCellHasher-JSObject-visibi.patch:
    - Make js::MovableCellHasher<JSObject*>::* symbols visible under GCC
  * debian/patches: Refresh

  [ Iain Lane ]
  * Generate shlibs with a lower bound. 60.2.3-4 is introducing a new symbol.
    We need reverse-deps to have a dependency on this version if they have
    been built with it. After 60.2.3, generate shlibs with -VUpstream-Version,
    so that dependencies are generated in the form >= Upstream-Version. A
    symbols file would be better.
  * debian/control{,.in}: Add tzdata to Depends an B/uild-Depends. The tests
    use ICU and require that this is installed. If it's not, they fail with
    messages like "non262/Date/time-zones.js:41:5 Error: Assertion failed: got
    "Fri Jul 19 2002 16:10:55 GMT+0000", expected "Fri Jul 19 2002 16:10:55"
    GMT+0100" because they can't run in the specified timezones.

 -- Iain Lane <laney@debian.org>  Mon, 24 Jun 2019 17:50:53 +0100
