=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                zlib1g-dev (>= 1:1.2.3),
                pkg-config,
                pkg-kde-tools,
-               python-dev,
+               python-all-dev,
+               tzdata,
                zip
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
@@ -28,7 +29,7 @@
 Package: libmozjs-60-0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, tzdata
 Description: SpiderMonkey JavaScript library
  SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
  JavaScript. It is intended to be embedded in other applications
