=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/default.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -8,16 +10,11 @@
 # or for backporting
 WITH_SYSTEM_ICU = yes
 
-DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
 export DEB_HOST_ARCH
 # mozjs' build process does not seem to be compatible with other shells
 # like zsh
 export SHELL = /bin/sh
-export PYTHON = python
+export PYTHON = python2
 
 SRCDIR = $(CURDIR)/js/src
 BUILDDIR = $(CURDIR)/debian/build
@@ -93,7 +90,7 @@
 ifneq ($(WITH_SYSTEM_ICU),yes)
 	CC=$${CC:-$(DEB_HOST_GNU_TYPE)-gcc} \
 	CXX=$${CXX:-$(DEB_HOST_GNU_TYPE)-g++} \
-	VERBOSE=1 python intl/icu_sources_data.py "$(CURDIR)"
+	VERBOSE=1 $(PYTHON) intl/icu_sources_data.py "$(CURDIR)"
 endif
 	mkdir -p $(BUILDDIR)
 	cd $(BUILDDIR) && $(SHELL) $(SRCDIR)/configure \
@@ -130,6 +127,13 @@
 override_dh_gnome:
 	dh_gnome --no-gnome-versions
 
+override_dh_makeshlibs:
+ifeq (yes, $(shell dpkg --compare-versions $(DEB_VERSION_UPSTREAM) gt 60.2.3 && echo yes))
+	dh_makeshlibs -VUpstream-Version
+else
+	dh_makeshlibs -V"libmozjs-60-0 (>= 60.2.3-4~)"
+endif
+
 override_dh_auto_test:
 	@:
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
